package com.jw.app.unit.action;

import java.util.Map;

import com.gaowj.business.action.BasicAction;
import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.RequestUtils;

public class viewAction extends BasicAction {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2776177955319780397L;
	
	public String unitTab() throws BusinessException{
		return "unitTab";
	}
	
	public String unitDetail() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "unitDetail";
	}
	
	public String unitAur() throws BusinessException{
		return "unitAur";
	}
	
	public String push() throws BusinessException{
		return "push";
	}
	
	public String unitChoice() throws BusinessException{
		return "unitChoice";
	}
    
	public String pushUnitChoice() throws BusinessException{
		return "pushUnitChoice";
	}
}
